shishi_tkt_valid_at_time_p(3)

NAME
shishi_tkt_valid_at_time_p - API function

SYNOPSIS
#include <shishi.h>

int shishi_tkt_valid_at_time_p(Shishi_tkt * tkt, time_t now);

ARGUMENTS

Shishi_tkt * tkt
    input variable with ticket info.

time_t now
    time to check for.

DESCRIPTION
Determine if ticket is valid at a specific point in time.

RETURN VALUE
Returns non-0 iff ticket is valid (not expired and after starttime) at specified time.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.